Skip to content

Get 'TransactionDeclaration'

Request

Security
customer_id and application_id and service_id and service_version_id and client_ct and client_object_id and client_secret
Path
pkstringwrite-onlyrequired
GET
/brf/capitalcontributions/transactiondeclaration/{pk}/
curl -i -X GET \
  'https://dev.api.pigello.io/brf/capitalcontributions/transactiondeclaration/{pk}/' \
  -H 'X-PIGELLO-APPLICATION-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-CT: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-ENTITY: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-SECRET: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CUSTOMER-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-VERSION-ID: YOUR_API_KEY_HERE'

Responses

Successful selection

Bodyapplication/json
idstring, (uuid)read-onlyrequired

Additional Validation Information:

Must be unique

sellerobject(Tenant)read-onlyrequired
specification_idinteger, (int32), [ -2147483648 .. 2147483647 ]read-onlyrequired

Additional Validation Information:

Must be unique

is_correctionbooleanread-onlyrequired
earliest_purchase_datestring, (date)read-onlyrequired
earliest_aquired_quotanumber, (float)read-onlyrequired
total_purchase_valuenumber, (float)read-onlyrequired
sell_datestring, (date)read-onlyrequired
sell_quotanumber, (float)read-onlyrequired
total_sell_valuenumber, (float)read-onlyrequired
total_capital_contributionnumber, (float)read-onlyrequired
statusinteger, (int32), [ -2147483648 .. 2147483647 ]required

Additional Validation Information:

Enum Descriptions:

  • 0 - Created

  • 1 - Done

  • 2 - Registered

  • 3 - Removed

Enum:0123
organizationobject or null(Organization)
custom_idstring or null, <= 128 characters
created_atstring, (date-time)read-only
transactionobject or null(BrfTransaction)read-only
pdf_preview_fileobject or nullread-only
overriden_brf_apartment_fieldsobject or nullread-only
overriden_brf_transaction_fieldsobject or nullread-only
generated_files_urlsanyread-only
tagsanyread-only
customer_columnsanyread-only
Response
{ "organization": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "custom_id": "string", "created_at": "2019-08-24T14:15:22Z", "transaction": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "seller": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "specification_id": -2147483648, "is_correction": true, "earliest_purchase_date": "2019-08-24", "earliest_aquired_quota": 0.1, "has_gift_related_purchase": true, "total_purchase_value": 0.1, "sell_date": "2019-08-24", "sell_quota": 0.1, "is_gift_related_sell": true, "total_sell_value": 0.1, "total_capital_contribution": 0.1, "status": 0, "pdf_preview_file": { "name": "string", "md5_hash": "string", "get": "string", "post": { … } }, "overriden_brf_apartment_fields": {}, "overriden_brf_transaction_fields": {}, "generated_files_urls": null, "tags": null, "customer_columns": null }